Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038777
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POS Hardware ManagerminorN/A2018-06-18 08:102018-08-10 09:50
ReporterguillermogilView Statuspublic 
Assigned Tojorgewederago 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision858ec449d470
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038777: HWM should be able to print QR codes

DescriptionIt is needed to allow the HWM to print QR codes.
There will be a new tag in XMLs to allow this functionality.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106277)
hgbot (developer)
2018-08-10 09:49

Repository: erp/pmods/org.openbravo.retail.poshwmanager
Changeset: d10f6ba73fdfa155ae60807536acb5cdec95017d
Author: Jorge Wederago <jorge.wederago <at> openbravo.com>
Date: Fri Aug 10 09:48:55 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager/rev/d10f6ba73fdfa155ae60807536acb5cdec95017d [^]

Related to issue 0038777: HWM should be able to print QR codes

---
M bin/openbravohw.properties
M bin/poshw.jar
M bin/rev.id
---
(0106278)
hgbot (developer)
2018-08-10 09:50

Repository: erp/pmods/org.openbravo.retail.poshwmanager.sources
Changeset: 858ec449d4708817af3dc4e08f9358ba22e6537a
Author: Jorge Wederago <jorge.wederago <at> openbravo.com>
Date: Fri Aug 10 09:40:19 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager.sources/rev/858ec449d4708817af3dc4e08f9358ba22e6537a [^]

Fixed issue 0038777: HWM should be able to print QR codes

---
M project/.classpath
M project/nbproject/project.properties
M project/openbravohw.properties
M project/src/com/openbravo/pos/monitor/DevicePrinterProxy.java
M project/src/com/openbravo/pos/printer/DevicePrinter.java
M project/src/com/openbravo/pos/printer/DeviceTicket.java
M project/src/com/openbravo/pos/printer/TicketParser.java
M project/src/com/openbravo/pos/printer/escpos/Codes.java
M project/src/com/openbravo/pos/printer/escpos/DevicePrinterESCPOS.java
M project/src/com/openbravo/pos/printer/escpos/DevicePrinterESCPOSWincor.java
M project/src/com/openbravo/pos/printer/escpos/USBDeviceBuilder.java
M project/src/com/openbravo/pos/printer/escpos/USBDeviceID.java
M project/src/com/openbravo/pos/printer/escpos/USBDeviceList.java
M project/src/com/openbravo/pos/printer/escpos/USBDevicePrinterEpson.java
M project/src/com/openbravo/pos/printer/escpos/USBDevicePrinterIthaca.java
M project/src/com/openbravo/pos/printer/escpos/USBDevicePrinterStar.java
M project/src/com/openbravo/pos/printer/escpos/USBDevicePrinterSurePOS.java
M project/src/com/openbravo/pos/printer/escpos/USBDevicePrinterTMU220.java
M project/src/com/openbravo/pos/printer/escpos/USBDevicePrinterWincor.java
M project/src/com/openbravo/pos/service/BasicHardwareService.java
M project/src/com/openbravo/pos/service/BasicPaymentService.java
M project/src/com/openbravo/poshw/AppConfig.java
A project/src/com/openbravo/pos/printer/escpos/CodesTH200i.java
---

- Issue History
Date Modified Username Field Change
2018-06-18 08:10 guillermogil New Issue
2018-06-18 08:10 guillermogil Assigned To => jorgewederago
2018-06-18 08:10 guillermogil Triggers an Emergency Pack => No
2018-07-16 08:46 jorgewederago Status new => scheduled
2018-08-10 09:49 hgbot Checkin
2018-08-10 09:49 hgbot Note Added: 0106277
2018-08-10 09:50 hgbot Checkin
2018-08-10 09:50 hgbot Note Added: 0106278
2018-08-10 09:50 hgbot Status scheduled => resolved
2018-08-10 09:50 hgbot Resolution open => fixed
2018-08-10 09:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager.sources/rev/858ec449d4708817af3dc4e08f9358ba22e6537a [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker